Update wireguard-install.sh

This commit is contained in:
tteckster 2022-04-18 11:34:07 -04:00 committed by GitHub
parent ea268a1c8c
commit d6ebbc5ea6
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
1 changed files with 38 additions and 50 deletions

View File

@ -1,38 +1,30 @@
#!/usr/bin/env bash
set -o errexit
set -o errtrace
set -o nounset
set -o pipefail
shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR
trap 'die "Script interrupted."' INT
function error_exit() {
trap - ERR
local DEFAULT='Unknown failure occured.'
local REASON="\e[97m${1:-$DEFAULT}\e[39m"
local FLAG="\e[91m[ERROR:LXC] \e[93m$EXIT@$LINE"
msg "$FLAG $REASON"
exit $EXIT
}
function msg() {
local TEXT="$1"
echo -e "$TEXT"
}
#!/usr/bin/env bash -ex
set -euo pipefail
shopt -s inherit_errexit nullglob
YW=`echo "\033[33m"`
RD=`echo "\033[01;31m"`
BL=`echo "\033[36m"`
GN=`echo "\033[1;92m"`
CL=`echo "\033[m"`
CM="${GN}${CL}"
CROSS="${RD}${CL}"
RETRY_NUM=10
RETRY_EVERY=3
NUM=$RETRY_NUM
CM="${GN}${CL}"
CROSS="${RD}${CL}"
BFR="\\r\\033[K"
HOLD="-"
echo -en "${GN} Setting up Container OS... "
function msg_info() {
local msg="$1"
echo -ne " ${HOLD} ${YW}${msg}..."
}
function msg_ok() {
local msg="$1"
echo -e "${BFR} ${CM} ${GN}${msg}${CL}"
}
msg_info "Setting up Container OS "
sed -i "/$LANG/ s/\(^# \)//" /etc/locale.gen
locale-gen >/dev/null
while [ "$(hostname -I)" = "" ]; do
@ -45,12 +37,8 @@ while [ "$(hostname -I)" = "" ]; do
exit 1
fi
done
echo -e "${CM}${CL} \r"
echo -en "${GN} Network Connected: ${BL}$(hostname -I)${CL} "
echo -e "${CM}${CL} \r"
MAC=$(cat /sys/class/net/$(ip route show default | awk '/default/ {print $5}')/address)
echo -en "${GN} MAC Address: ${BL}${MAC}${CL} "
echo -e "${CM}${CL} \r"
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
OPTIONS_PATH='/options.conf'
cat >$OPTIONS_PATH <<'EOF'
@ -69,32 +57,32 @@ pivpnPERSISTENTKEEPALIVE=25
UNATTUPG=1
EOF
echo -en "${GN} Updating Container OS... "
msg_info "Updating Container OS"
apt update &>/dev/null
apt-get -qqy upgrade &>/dev/null
echo -e "${CM}${CL} \r"
msg_ok "Updated Container OS"
echo -en "${GN} Installing Dependencies... "
msg_info "Installing Dependencies"
apt-get install -y curl &>/dev/null
apt-get install -y sudo &>/dev/null
apt-get install -y gunicorn &>/dev/null
echo -e "${CM}${CL} \r"
msg_ok "Installed Dependencies"
echo -en "${GN} Installing WireGuard (using pivpn.io)... "
msg_info "Installing WireGuard (using pivpn.io)"
curl -s -L https://install.pivpn.io > install.sh
chmod +x install.sh
./install.sh --unattended options.conf &>/dev/null
echo -e "${CM}${CL} \r"
msg_ok "Installed WireGuard"
echo -en "${GN} Installing pip3... "
msg_info "Installing pip3"
apt-get install python3-pip -y &>/dev/null
pip install flask &>/dev/null
pip install ifcfg &>/dev/null
pip install flask_qrcode &>/dev/null
pip install icmplib &>/dev/null
echo -e "${CM}${CL} \r"
msg_ok "Installed pip3"
echo -en "${GN} Installing WGDashboard... "
msg_info "Installing WGDashboard"
WGDREL=$(curl -s https://api.github.com/repos/donaldzou/WGDashboard/releases/latest \
| grep "tag_name" \
| awk '{print substr($2, 2, length($2)-3) }') \
@ -104,9 +92,9 @@ cd /ect/wgdashboard/src
sudo chmod u+x wgd.sh
sudo ./wgd.sh install &>/dev/null
sudo chmod -R 755 /etc/wireguard
echo -e "${CM}${CL} \r"
msg_ok "Installed WGDashboard"
echo -en "${GN} Creating wg-dashboard.service... "
msg_info "Creating Service"
service_path="/etc/systemd/system/wg-dashboard.service"
echo "[Unit]
After=netword.service
@ -123,11 +111,11 @@ sudo chmod 664 /etc/systemd/system/wg-dashboard.service
sudo systemctl daemon-reload
sudo systemctl enable wg-dashboard.service &>/dev/null
sudo systemctl start wg-dashboard.service
echo -e "${CM}${CL} \r"
msg_ok "Created Service"
PASS=$(grep -w "root" /etc/shadow | cut -b6);
if [[ $PASS != $ ]]; then
echo -en "${GN} Customizing Container... "
msg_info "Customizing Container"
rm /etc/motd
rm /etc/update-motd.d/10-uname
touch ~/.hushlogin
@ -140,11 +128,11 @@ ExecStart=-/sbin/agetty --autologin root --noclear --keep-baud tty%I 115200,3840
EOF
systemctl daemon-reload
systemctl restart $(basename $(dirname $GETTY_OVERRIDE) | sed 's/\.d//')
echo -e "${CM}${CL} \r"
msg_ok "Customized Container"
fi
echo -en "${GN} Cleanup... "
msg_info "Cleaning up"
apt-get autoremove >/dev/null
apt-get autoclean >/dev/null
rm -rf /var/{cache,log}/* /var/lib/apt/lists/*
echo -e "${CM}${CL} \n"
msg_ok "Cleaned"